<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Token_connection_model extends CI_Model {

    public function __construct() {
        parent::__construct();
        $this->load->database();
    }

    public function guardar_token($clienteId, $token, $expira) {
        $data = array(
            'conexion_id' => $clienteId,
            'token' => $token,
            'fecha_expiracion' => $expira,
            'usuario_creador' => $this->session->userdata('user_id'),
            'fecha_creacion' => date('Y-m-d H:i:s'),
            'fecha_actualizacion' => date('Y-m-d H:i:s')
        );

        $this->db->insert('sma_certificador_tokens', $data);
    }
}
